Skip to main content
GET
/
fleet
/
drivers
List all drivers
curl --request GET \
  --url https://api.samsara.com/fleet/drivers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": [
        {
          "dateValues": [
            "<string>"
          ],
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "License Certifications",
          "numberValues": [
            123
          ],
          "stringValues": [
            "<string>"
          ]
        }
      ],
      "carrierSettings": {
        "carrierName": "Acme Inc.",
        "dotNumber": 98231,
        "homeTerminalAddress": "1234 Pear St., Scranton, PA 62814",
        "homeTerminalName": "Acme Inc.",
        "mainOfficeAddress": "1234 Pear St., Scranton, PA 62814"
      },
      "createdAtTime": "2019-05-18T20:27:35Z",
      "currentIdCardCode": "941767043",
      "driverActivationStatus": "active",
      "eldAdverseWeatherExemptionEnabled": false,
      "eldBigDayExemptionEnabled": false,
      "eldDayStartHour": 0,
      "eldExempt": false,
      "eldExemptReason": "Bad driver",
      "eldPcEnabled": false,
      "eldSettings": {
        "rulesets": [
          {
            "break": "Property (off-duty/sleeper)",
            "cycle": "USA 60 hour / 7 day",
            "jurisdiction": "AR",
            "restart": "Default",
            "shift": "US Interstate Property"
          }
        ]
      },
      "eldYmEnabled": false,
      "externalIds": {
        "maintenanceId": "250020",
        "payrollId": "ABFS18600"
      },
      "hasDrivingFeaturesHidden": true,
      "hasVehicleUnpinningEnabled": true,
      "id": "123",
      "isDeactivated": false,
      "licenseNumber": "E1234567",
      "licenseState": "CA",
      "locale": "us",
      "name": "Susan Jones",
      "notes": "Also goes by the nickname Furious Fred.",
      "peerGroupTag": {
        "id": "3914",
        "name": "East Coast",
        "parentTagId": "4815"
      },
      "phone": "5558234327",
      "profileImageUrl": "https://example.com/images/driver-profile.jpg",
      "staticAssignedVehicle": {
        "id": "123456789",
        "name": "Midwest Truck #4"
      },
      "tachographCardNumber": "1000000492436002",
      "tags": [
        {
          "id": "3914",
          "name": "East Coast",
          "parentTagId": "4815"
        }
      ],
      "timezone": "America/Los_Angeles",
      "trailerGroupTag": {
        "id": "3914",
        "name": "West Coast",
        "parentTagId": "4815"
      },
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "usDriverRulesetOverride": {
        "cycle": "TX 70 hour / 7 day",
        "restart": "34-hour Restart",
        "restbreak": "None",
        "usStateToOverride": "TX"
      },
      "username": "SusanJones",
      "vehicleGroupTag": {
        "id": "3914",
        "name": "East Coast",
        "parentTagId": "4815"
      },
      "waitingTimeDutyStatusEnabled": false
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverActivationStatus
enum<string>

If value is deactivated, only drivers that are deactivated will appear in the response. This parameter will default to active if not provided (fetching only active drivers).

Available options:
active,
deactivated
limit
integer<int64>

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

parentTagIds
string[]

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

tagIds
string[]

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

attributeValueIds
string[]

A filter on the data based on this comma-separated list of attribute value IDs. Only entities associated with ALL of the referenced values will be returned (i.e. the intersection of the sets of entities with each value). Example: attributeValueIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544

attributes
string[]

A filter on the data to return entities having given attributes using name-value pair or range query (only for numeric attributes), separated by semicolon. Only entities associated with ALL of the referenced values will be returned (i.e. the intersection of the sets of entities with each value). Example: attributes=ExampleAttributeName:some_value&attributes=SomeOtherAttr:123&attributes=someNumericAttribute:range(10,20)

updatedAfterTime
string

A filter on data to have an updated at time after or equal to this specified time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

createdAfterTime
string

A filter on data to have a created at time after or equal to this specified time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

Response

List of all driver objects.

A list of drivers.

data
object[]
pagination
object

Pagination parameters.